aboutsummaryrefslogtreecommitdiffstats
path: root/main/xinit/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xinit/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xinit/APKBUILD')
-rw-r--r--main/xinit/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/xinit/APKBUILD b/main/xinit/APKBUILD
new file mode 100644
index 0000000000..be135ed7a7
--- /dev/null
+++ b/main/xinit/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xinit
+pkgver=1.1.1
+pkgrel=3
+pkgdesc="X.Org initialisation program "
+url="http://xorg.freedesktop.org/"
+license="GPL"
+subpackages="$pkgname-doc"
+depends="xauth"
+makedepends="pkgconfig libx11-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/xinit-$pkgver.tar.bz2
+ xinitrc
+ xsession
+ xserverrc"
+
+build() {
+ cd "$srcdir"/xinit-$pkgver
+ ./configure --prefix=/usr || return 1
+ make XINITDIR=/etc/X11/xinit || return 1
+}
+
+package() {
+ cd "$srcdir"/xinit-$pkgver
+ make XINITDIR=/etc/X11/xinit DESTDIR="$pkgdir" install || return 1
+ chmod +x "$pkgdir"/usr/bin/startx
+ install -m755 -d "$pkgdir"/etc/skel
+ install -m755 -D "$srcdir"/xinitrc "$pkgdir"/etc/X11/xinit/xinitrc
+ install -m755 "$srcdir"/xsession "$pkgdir"/etc/skel/.xsession || return 1
+ install -m755 "$srcdir"/xserverrc "$pkgdir"/etc/X11/xinit/xserverrc || return 1
+}
+md5sums="93c73705ed9eb1e1a6b6938405672f2b xinit-1.1.1.tar.bz2
+af322d72972d5722b7fc0a9e8f025b15 xinitrc
+4f04d2891ea87f50fde518267b7a1154 xsession
+bb550d3b9a2d2b6cbe6e2667a3a7cd03 xserverrc"